<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>jqAttr</title>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
</head>
<body>
    <h2>Пример attr and html text </h2>
    <p><a  id="text" href="https://www.google.com.ua/?hl=ru" title=" это ссылка на Google">Гугл</a></p>
    <script>
        $('#text').text('Посетите Yahho!')
        $('#text').attr( { href: "https://news.yahoo.com/?guccounter=1", title: " это ссылка на Yahhooo!!"})
        alert('Новый код HTML:\n' + $('p').html())
    </script>
</body>
</html>